# -*- coding: utf-8 -*-
import sys

SortList        = []
Reorder         = []
Construction    = []
ComputeProp     = []
Approx          = []

inputFile = sys.argv[1]

f = open(inputFile, 'r')




f.readline()
count = 0
for line in f:
        tokens = line.split('\t')
        
        #remove eol symbol
        tokens[3] = tokens[3].strip()
        
        if(int(tokens[1]) == 0):
          SortList.append(float(tokens[3]))
        if(int(tokens[1]) == 1):
          Reorder.append(float(tokens[3]))
        if(int(tokens[1]) == 2):
          Construction.append(float(tokens[3]))
        if(int(tokens[1]) == 3):
          ComputeProp.append(float(tokens[3]))       
        if(int(tokens[1]) == 4):
          Approx.append(float(tokens[3]))       
f.close()


#Write sort timing
outputFile = "logs/0_" + inputFile
f = open(outputFile, 'w')
for data in SortList:
  f.write(str(data) + "\n")
f.close()

#Write  reorder data
outputFile = "logs/1_" + inputFile
f = open(outputFile, 'w')
for data in Reorder:
  f.write(str(data) + "\n")
f.close()

#Write construction timing
outputFile = "logs/2_" + inputFile
f = open(outputFile, 'w')
for data in Construction:
  f.write(str(data) + "\n")
f.close()

#Write ComputeProperties timing
outputFile = "logs/3_" + inputFile
f = open(outputFile, 'w')
for data in ComputeProp:
  f.write(str(data) + "\n")
f.close()

#Write approximation timing
outputFile = "logs/4_" + inputFile
f = open(outputFile, 'w')
for data in Approx:
  f.write(str(data) + "\n")
f.close()


print "File processed!"

#26      3       Compute properties      0.49696
#27      4       Approximation   49.739
#28      0       Sorting 3.21206
#29      1       Data reordering 0.579392
#30      2       Tree-construction       4.2455
#31      3       Compute properties      0.50048
#32      4       Approximation   49.974
#33      0       Sorting 3.19478
#34      1       Data reordering 0.554944
#35      2       Tree-construction       4.36106
#36      3       Compute properties      0.50752
